IERSchema

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IERSchema

    com.change_vision.jude.api.inf.model.IERSchema

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IERSchema
extends INamedElement

Interface for ERSchema.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IERDatatype[]` | `getDatatypes()` Get Datatype.
`abstract IERDomain[]` | `getDomains()` Get Domains.
`abstract IEREntity[]` | `getEntities()` Get Entities.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getDomains

    public abstract IERDomain[] getDomains()

  Get Domains.

  Returns:
    the array of Domains. Return the empty array if there is none.

### getDatatypes

    public abstract IERDatatype[] getDatatypes()

  Get Datatype.

  Returns:
    the array of Datatypes. Return the empty array if there is none.

### getEntities

    public abstract IEREntity[] getEntities()

  Get Entities.

  Returns:
    the array of Entities. Return the empty array if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD